if RAILS_ENV == "development"
  ActiveSupport::Dependencies.load_once_paths.reject!{|x| x =~ /^#{Regexp.escape(File.dirname(__FILE__))}/}
end

require "redmine"
require "rubygems"
require "dispatcher"
Dispatcher.to_prepare do 
  begin
    require_dependency "application"
  rescue LoadError
    require_dependency "application_controller"
  end

  Role.send(:include, RolePatch)
  Tracker.send(:include, TrackerPatch)
  IssueStatus.send(:include, IssueStatusPatch)
  CustomField.send(:include, CustomFieldPatch)
  Enumeration.send(:include, EnumerationPatch)
end

RAILS_DEFAULT_LOGGER.info "Localizable plugin for RedMine"

Redmine::Plugin.register :localizable do
  name "Localizable plugin"
  url "http://ociotec.com/redmine/projects/show/localizable"
  author "Emilio González Montaña"
  author_url "http://ociotec.com"
  description "This is a plugin for Redmine that is used to show strings (issue types, issue statuses, enumerations, ...) in serveral languages"
  version "0.1.1"
  requires_redmine :version_or_higher => "0.9.0"
  
  settings :default => {"default_language" => "en",
                        "locales_to_translate" => [],
                        "locales" => {"tracker" => {},
                                      "issue_status" => {}}},
           :partial => "settings/localizable"
end
